Ubuntu

iptables does not honour dpkg-buildflags (breaks arm64 build)

Reported by Wookey on 2012-11-21
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
iptables (Ubuntu)
Undecided
Unassigned

Bug Description

iptables does not use dpkg-buildflags. Doing so is a good thing generally, and is currently necessary for arm64 cross-builds.

This simple patch fixes it. I don't know if there is any reason not to move forward from compat 7 to 9. It builds OK for me.

If the package maintainer would prefer not to then adding
DPKG_EXPORT_BUILDFLAGS=1 before the
-include /usr/share/dpkg/buildflags.mk
 in debian/rules will fix the problem whilst staying at compat level 7.

This bug identically filed in debian.

Wookey (wookey) wrote :
Wookey (wookey) wrote :

Actually it's not filed in debian because sid has 1.4.16 which is already at compat level 9 and solves this issue. A merge would probably be a good plan.

And in fact that patch was excessive. All that is needed is to change the compat level. Updated patch attached.

Wookey (wookey) on 2012-11-21
affects: ubuntu → iptables (Ubuntu)

The attachment "iptables-1.4.12-2ubuntu2-dpkgbuildflags.patch" of this bug report has been identified as being a patch in the form of a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-sponsors team please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch
Dimitri John Ledkov (xnox) wrote :

@Wookey can you please add debian distribution - iptables bug task with the URL tracking the bug in Debian?

Benjamin Drung (bdrung) wrote :

Dmitrijs, why? It's fixed in Debian unstable and I didn't find a Debian bug in their changelog.

Benjamin Drung (bdrung) wrote :

Whooky, I changed your changelog entry to:

iptables (1.4.12-2ubuntu4) raring; urgency=low

  * Make package honour dpkg-buildflags (fixes arm64 build) (LP: #1081592)

 -- Wookey <wookey@e102475-lin> Wed, 21 Nov 2012 12:50:11 +0000

Your email address is incorrect and I do not know to which I should correct it.

Benjamin Drung (bdrung) wrote :

Wookey, sorry for misspelling your name. I should probably go to bed. I am going to unsubscribe ubuntu-sponsors. Please resubscribe after stating your preferred email address or adding a new debdiff.

Benjamin Drung (bdrung) wrote :

Doing a merge from Debian would be even better. ;)

+++ Benjamin Drung [2012-12-07 23:15 -0000]:
> Wookey, sorry for misspelling your name. I should probably go to bed. I
> am going to unsubscribe ubuntu-sponsors. Please resubscribe after
> stating your preferred email address or adding a new debdiff.

This is my preferred email address. I don't understand why you want to
know WRT this bug?

A new debdiff against what?

Ubuntu can either update to current debian unstable version or apply the
compat level 9 fix I suggested. I don't know what else to write/say/do.

Wookey
--
Principal hats: Linaro, Emdebian, Wookware, Balloonboard, ARM
http://wookware.org/

Benjamin Drung (bdrung) wrote :

You had 'wookey@e102475-lin' as email address in your provided debdiff. That's why I wanted to know which email address should be used for your changelog stanza.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package iptables - 1.4.12-2ubuntu4

---------------
iptables (1.4.12-2ubuntu4) raring; urgency=low

  * Make package honour dpkg-buildflags (fixes arm64 build) (LP: #1081592)
 -- Wookey <email address hidden> Sat, 08 Dec 2012 10:52:13 +0100

Changed in iptables (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers